org.hibernate.validator.internal.engine.path

## Class PathImpl

- java.lang.Object
- - org.hibernate.validator.internal.engine.path.PathImpl

- All Implemented Interfaces:
    Serializable, Iterable<Path.Node>, Path

      public final class PathImpl
      extends Object
      implements Path, Serializable

  Default implementation of `javax.validation.Path`.
  Author:
    Hardy Ferentschik, Gunnar Morling, Kevin Pollet (C) 2011 SERLI
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface javax.validation.Path

      `Path.BeanNode, Path.ConstructorNode, Path.CrossParameterNode, Path.MethodNode, Path.Node, Path.ParameterNode, Path.PropertyNode, Path.ReturnValueNode`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `NodeImpl` | `addBeanNode()`
    `NodeImpl` | `addCrossParameterNode()`
    `NodeImpl` | `addParameterNode(String nodeName, int index)`
    `NodeImpl` | `addPropertyNode(String nodeName)`
    `NodeImpl` | `addReturnValueNode()`
    `String` | `asString()`
    `static PathImpl` | `createCopy(PathImpl path)`
    `static PathImpl` | `createPathForExecutable(ExecutableMetaData executable)`
    `static PathImpl` | `createPathFromString(String propertyPath)` Returns a `Path` instance representing the path described by the given string.
    `static PathImpl` | `createRootPath()`
    `boolean` | `equals(Object obj)`
    `NodeImpl` | `getLeafNode()`
    `PathImpl` | `getPathWithoutLeafNode()`
    `int` | `hashCode()`
    `boolean` | `isRootPath()`
    `Iterator<Path.Node>` | `iterator()`
    `NodeImpl` | `makeLeafNodeIterable()`
    `NodeImpl` | `setLeafNodeIndex(Integer index)`
    `NodeImpl` | `setLeafNodeMapKey(Object key)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### createPathFromString

          public static PathImpl createPathFromString(String propertyPath)

      Returns a `Path` instance representing the path described by the given string. To create a root node the empty string should be passed.
      Parameters:
        `propertyPath` - the path as string representation.
      Returns:
        a `Path` instance representing the path described by the given string.
      Throws:
        `IllegalArgumentException` - in case `property == null` or `property` cannot be parsed.

    - #### createPathForExecutable

          public static PathImpl createPathForExecutable(ExecutableMetaData executable)

    - #### createRootPath

          public static PathImpl createRootPath()

    - #### createCopy

          public static PathImpl createCopy(PathImpl path)

    - #### isRootPath

          public boolean isRootPath()

    - #### getPathWithoutLeafNode

          public PathImpl getPathWithoutLeafNode()

    - #### addPropertyNode

          public NodeImpl addPropertyNode(String nodeName)

    - #### addParameterNode

          public NodeImpl addParameterNode(String nodeName,
                                  int index)

    - #### addCrossParameterNode

          public NodeImpl addCrossParameterNode()

    - #### addBeanNode

          public NodeImpl addBeanNode()

    - #### addReturnValueNode

          public NodeImpl addReturnValueNode()

    - #### makeLeafNodeIterable

          public NodeImpl makeLeafNodeIterable()

    - #### setLeafNodeIndex

          public NodeImpl setLeafNodeIndex(Integer index)

    - #### setLeafNodeMapKey

          public NodeImpl setLeafNodeMapKey(Object key)

    - #### getLeafNode

          public NodeImpl getLeafNode()

    - #### iterator

          public Iterator<Path.Node> iterator()

      Specified by:
        `iterator` in interface `Iterable<Path.Node>`

    - #### asString

          public String asString()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2007-2014 Red Hat, Inc. All Rights Reserved